Package org.codehaus.janino.util.signature

# Class SignatureParser.SignatureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.janino.util.signature.SignatureParser.SignatureException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `SignatureParser`

public static class SignatureParser.SignatureException extends Exception
Signalizes am malformed signature.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SignatureException(String message)`
`SignatureException(String message, Throwable t)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SignatureException

public SignatureException(String message)

### SignatureException

public SignatureException(String message, Throwable t)